Summary:	OpenCA StateMachine
Name: 		perl-OpenCA-StateMachine
Version: 	0.9.6
Release:	%mkrel 7
License:	LGPL
Group: 		Development/Perl
URL:		http://www.openca.org
Source:		OpenCA-StateMachine-%{version}.tar.gz
#Requires:	perl-OpenCA-XML-Cache
BuildRequires:	perl-devel
BuildArch:	noarch
BuildRoot: 	%{_tmppath}/%{name}-buildroot

%description
This module handle the workflow of OpenCA.

This product includes OpenCA software written by Massimiliano Pala
(madwolf@openca.org) and the OpenCA Group (www.openca.org)

%prep

%setup -q -n OpenCA-StateMachine-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

# make test fails
#make test

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%makeinstall_std

%clean 
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%doc Changes LICENSE README
%{perl_vendorlib}/OpenCA/StateMachine.pm


%changelog
* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.9.6-7mdv2008.1
+ Revision: 136330
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Aug 17 2007 Oden Eriksson <oeriksson@mandriva.com> 0.9.6-7mdv2008.0
+ Revision: 64773
- sync the tarballs from latest openca package


* Fri Mar 02 2007 Oden Eriksson <oeriksson@mandriva.com> 0.9.6-6mdv2007.0
+ Revision: 131139
- Import perl-OpenCA-StateMachine

* Fri Feb 17 2006 Oden Eriksson <oeriksson@mandriva.com> 0.9.6-6mdk
- don't ship the MANIFEST file

* Sat Sep 10 2005 Oden Eriksson <oeriksson@mandriva.com> 0.9.6-5mdk
- rebuild

* Sun Oct 10 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.6-4mdk
- new tarball, same version

* Fri Aug 27 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.6-3mdk
- new tarball, same version

* Mon Jul 12 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.6-2mdk
- built for cooker

* Tue May 04 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.6-1mdk
- 0.9.6
- drop P0, it's included

* Thu Apr 22 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.4-2mdk
- added P0

* Fri Apr 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 0.9.4-1mdk
- initial package

